RagTimeStruct::ResourceList Struct Reference

a structure used to store list in a resource fork More...

`#include <RagTimeStruct.hxx>`

## Public Types

enum | Type { BuSl =0 , BuGr , SpBo , SpCe , SpDE , SpTe , SpVa , gray , colr , res_ , Undef }
| the different resource type which can be stored as list More...

## Public Member Functions

| ResourceList ()
| constructor
bool | read (MWAWInputStreamPtr input, MWAWEntry &entry)
| try to read the header block

## Static Public Member Functions

static std::string | getName (Type type)
| returns a string corresponding to a type

## Public Attributes

Type | m_type
| the resource type
long | m_headerPos
| the begin position of the header
int | m_headerSize
| the header size
long | m_dataPos
| the begin position of the first data
int | m_dataNumber
| the number of data
int | m_dataSize
| the data size
long | m_endPos
| the end pos
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, ResourceList const &zone)
| operator<<

## Detailed Description

a structure used to store list in a resource fork

## Member Enumeration Documentation

## Type

enum RagTimeStruct::ResourceList::Type

the different resource type which can be stored as list

Enumerator
BuSl |
BuGr |
SpBo |
SpCe |
SpDE |
SpTe |
SpVa |
gray |
colr |
res_ |
Undef |

## Constructor & Destructor Documentation

## ResourceList()

RagTimeStruct::ResourceList::ResourceList | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getName()

std::string RagTimeStruct::ResourceList::getName | ( | Type | type | ) |

inline static

returns a string corresponding to a type

Referenced by RagTimeParser::findRsrcZones(), operator<<, and RagTimeSpreadsheet::readResource().

## read()

bool RagTimeStruct::ResourceList::read | ( | MWAWInputStreamPtr | input,
|  | MWAWEntry & | entry )

try to read the header block

Referenced by RagTimeParser::findRsrcZones(), RagTimeSpreadsheet::readResource(), and RagTimeParser::readRsrcStructured().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ResourceList const & | zone )

friend

operator<<

## Member Data Documentation

## m_dataNumber

int RagTimeStruct::ResourceList::m_dataNumber

the number of data

Referenced by operator<<, read(), RagTimeSpreadsheet::readResource(), RagTimeParser::readRsrcStructured(), and ResourceList().

## m_dataPos

long RagTimeStruct::ResourceList::m_dataPos

the begin position of the first data

Referenced by read(), RagTimeSpreadsheet::readResource(), RagTimeParser::readRsrcStructured(), and ResourceList().

## m_dataSize

int RagTimeStruct::ResourceList::m_dataSize

the data size

Referenced by operator<<, read(), RagTimeSpreadsheet::readResource(), RagTimeParser::readRsrcStructured(), and ResourceList().

## m_endPos

long RagTimeStruct::ResourceList::m_endPos

the end pos

Referenced by read(), RagTimeSpreadsheet::readResource(), RagTimeParser::readRsrcStructured(), and ResourceList().

## m_extra

std::string RagTimeStruct::ResourceList::m_extra

extra data

Referenced by operator<<, read(), and ResourceList().

## m_headerPos

long RagTimeStruct::ResourceList::m_headerPos

the begin position of the header

Referenced by read(), and ResourceList().

## m_headerSize

int RagTimeStruct::ResourceList::m_headerSize

the header size

Referenced by operator<<, read(), and ResourceList().

## m_type

Type RagTimeStruct::ResourceList::m_type

the resource type

Referenced by RagTimeParser::findRsrcZones(), operator<<, read(), RagTimeSpreadsheet::readResource(), and ResourceList().

The documentation for this struct was generated from the following files:

- RagTimeStruct.hxx
- RagTimeStruct.cxx